{
  "layer": "top",
  "position": "top",
  "height": 30,
  "icon-size": 40,
  "reload-style-on-change": true,
  "modules-left": [
    "custom/shutdown",
    "sway/workspaces",
    "mpris"
  ],
  "modules-center": ["custom/weather"],
  "modules-right": [
    "group/audio",
    "group/hardware",
    "battery",
    "network",
    "clock",
    "idle_inhibitor",
    "sway/hibernate"
  ],
  "sway/workspaces": {
    "format": "{icon}",
    "format-icons": {
      "1": "<span></span>",
      "2": "<span></span>",
      "3": "<span>󰎚</span>",
      "4": "<span>󰭹</span>",
      "5": "<span></span>",
      "6": "<span></span>",
      "7": "<span></span>",
      "8": "<span>󰽉</span>",
    },
    "on-click": "activate"
  },
  "custom/shutdown": {
    "format": "",
    "tooltip": false,
    "on-click": "systemctl poweroff"
  },
  "custom/hibernate": {
    "format": "",
    "tooltip": false,
    "on-click": "systemctl hibernate"
  },
  
  "custom/weather": {
    "format": "{}",
    "interval": 900,
    "exec": "~/.config/waybar/scripts/weather_module.py",
    "tooltip": true,
    "on-click": "exec ~/.config/waybar/scripts/weather_module.py",
    "return-type": "json",
  },

    "mpris": {
	"interval": 10,
	"format": "{player_icon} {dynamic}",
	"format-paused": "{status_icon} {artist} {title}",
	"on-click-middle": "playerctl play-pause",
	"on-click": "playerctl previous",
	"on-click-right": "playerctl next",
	"scroll-step": 5.0,
	"on-scroll-up": "$HOME/.config/hypr/scripts/volume.sh --inc",
	"on-scroll-down": "$HOME/.config/hypr/scripts/volume.sh --dec",
	"smooth-scrolling-threshold": 1,
	"tooltip": true,
	"tooltip-format": "{status_icon} {dynamic}\nLeft Click: previous\nMid Click: Pause\nRight Click: Next",
	"player-icons": {
		"chromium": "",
		"default": "",
		"firefox": "",
		"kdeconnect": "",
		"mopidy": "",
		"mpv": "󰐹",
		"spotify": "",
		"vlc": "󰕼",
	},
	"status-icons": {
		"paused": "󰐎",
		"playing": "",
		"stopped": "",
	},
	"dynamic-order": ["artist", "title"],
	"max-length": 50,
 },

  "group/audio": {
    "orientation": "horizontal",
    "modules": [
	"pulseaudio",
	"bluetooth"
    ]
  },

  "pulseaudio": {
    "format": "{icon} {volume}%",
    "format-bluetooth": "{icon} {volume}% ",
    "format-muted": "",
    "on-click": "pactl set-sink-mute @DEFAULT_SINK@ toggle"
  },

  "bluetooth": {
    "format": "",
    "format-disabled": "󰂲",
    "format-connected": "",
    "tooltip-format": "Devices connected: {num_connections}",
    "on-click": "bluetooth toggle"
  },


  "group/hardware": {
    "orientation": "horizontal",
    "modules": [
	"memory"
    ]
  },  

  "memory": {
  "interval": 2,
  "format": "{icon} {percentage}%",
  "rformat-icons": [
     "󰾆",
     "󰾅",
     "󰓅"
  ]
  },
  "battery": {
    "format": "{capacity}% {icon}",
    "format-discharging": "{capacity}% {icon}",
    "format-charging": "{capacity}% {icon}",
    "format-plugged": " {capacity}%",
    "format-icons": {
      "charging": [
        "󰢜",
        "󰂆",
        "󰂇",
        "󰂈",
        "󰢝",
        "󰂉",
        "󰢞",
        "󰂊",
        "󰂋",
        "󰂅"
      ],
      "default": [
        "󰁺",
        "󰁻",
        "󰁼",
        "󰁽",
        "󰁾",
        "󰁿",
        "󰂀",
        "󰂁",
        "󰂂",
        "󰁹"
      ]
    },
    "format-full": "󰂅 {capacity}%",
    "tooltip-format-discharging": "{timeTo}",
    "tooltip-format-charging": "{timeTo}",
    "interval": 5,
    "on-click": "exec tlp toggle",
    "on-click-right": "notify-send -u low \"$(omarchy-battery-status)\"",
    "states": {
      "warning": 20,
      "critical": 10
    }
  },

"network": {
    "format-icons": [
      "󰤯",
      "󰤟",
      "󰤢",
      "󰤥",
      "󰤨"
    ],
    "format": "{icon}",
    "format-wifi": "{icon}",
    "format-ethernet": "󰈀",
    "format-disconnected": "󰤮",
    "tooltip-format-wifi": "{essid} ({frequency} GHz)\n⇣{bandwidthDownBytes}  ⇡{bandwidthUpBytes}",
    "tooltip-format-ethernet": "⇣{bandwidthDownBytes}  ⇡{bandwidthUpBytes}",
    "tooltip-format-disconnected": "Disconnected",
    "interval": 3,
    "spacing": 1,
    "on-click": "exec foot nmtui"
  },

  "clock": {
    "format": "{:%H:%M}",
    "tooltip-format": "<span>{calendar}</span>",
    "calendar": {
      "mode": "month",
      "mode-mon-col": 3,
      "on-click-right": "mode",
      "format": {
        "month": "<span color='#ffead3'><b>{}</b></span>",
        "weekdays": "<span color='#ffcc66'><b>{}</b></span>",
        "today": "<span color='#ff6699'><b>{}</b></span>",
      },
    },
    "timezone": "Europe/Paris"
  },


"idle_inhibitor": { 
  "format": "{icon}", 
  "format-icons": { 
    "activated": "\uf06e", 
    "deactivated": "\uf070" 
  } 
}

}
